# Описание charts UNI-GATE

Chart запускает сервис работы с системой компании UNILIGHT (мониторинг уличных столбов)


Описание собственных параметров пакета (файл value.yaml)

| Параметр | Значение в value.yaml | Коммментарии |
|----------|-----------------------|--------------|
| images.repository| registry.infsys.ru/iss/uni-gate| образ weather |
| images.tag | 1.0 | тег для контейнеров |
| images.pullPolicy | Always | иногда полезно ставить Always, не всегда измененные контейнеры имеют новый тег :) |
| service.port | 8788 | порт http для обращения клиентов к uni-gate|
| parameters.unilight| | параметры подключения к сервису UniLight |
| parameters.unilight.period| 30000 | ериод опроса данных сенсоров (миллисекунд) |
| parameters.inspark.rest| | параметры подключения к сервисам Inspark |
| parameters.inspark.artemis | | параметры подключения к сервисам JMS сервису Inspark |
| parameters.inspark.metadata.base-rubric-name | Unilight| имя корневой рубрики, в которую следует размещать объекты юнилайт (нужно создать руками) |
| parameters.inspark.metadata.typical-config-name| unilight | название типовой конфигурации, используемой для контроллеров объектов юнилайт (нужно создать руками) |

Строка развертывания: 

`helm install <имя инстанса> [-f <имя файла yaml >] sem-next/uni-gate -n <имя namespace>`  , где

* <имя инстанса> - любое имя. имя инстанса будет участвовать в формирвоании имен Pod-ов b services
* <имя файла yaml > - путь к файлу с начальными значениями
* sem-next - репозиторий, предварительно подключенный (см. описание на первой странице проекта)
* uni-gate - имя пакета 

Пример: 
`helm install unilight sem-next/uni-gate -n inspark`

При изменении начальных значений необхдимо провести upgrade инстанса: 

`helm upgrade <имя инстанса> [-f <имя файла yaml >] sem-next/uni-gate -n <имя namespace>`

Удаление инстанса выполняется командой: 

`helm uninstall <имя инстанса> -n <имя namespace>`

